LASi::oPostscriptStream Class Reference

Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument. More...

`#include <LASi.h>`

Inheritance diagram for LASi::oPostscriptStream:

## Public Member Functions

| oPostscriptStream (PostscriptDocument &psDoc)

## Protected Member Functions

PostscriptDocument & | doc ()

## Friends

class | PostscriptDocument
class | show
class | setFont
class | setFontSize

## Detailed Description

Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument.

## Constructor & Destructor Documentation

## oPostscriptStream()

LASi::oPostscriptStream::oPostscriptStream | ( | PostscriptDocument & | psDoc | ) |

inline

## Member Function Documentation

## doc()

PostscriptDocument& LASi::oPostscriptStream::doc | ( |  | ) |

inline protected

Referenced by LASi::setFont::apply(), and LASi::setFontSize::apply().

## Friends And Related Function Documentation

## PostscriptDocument

friend class PostscriptDocument

friend

## setFont

friend class setFont

friend

## setFontSize

friend class setFontSize

friend

## show

friend class show

friend

The documentation for this class was generated from the following file:

- LASi.h